# pip install "pinecone[grpc]"from pinecone.grpc import PineconeGRPC as Pineconepc = Pinecone(api_key="YOUR_API_KEY")# To get the unique host for an index, # see https://docs.pinecone.io/guides/manage-data/target-an-indexindex = pc.Index(host="INDEX_HOST")index.describe_index_stats()
// npm install @pinecone-database/pineconeimport { Pinecone } from '@pinecone-database/pinecone'const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' })// To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-indexconst index = pc.index("INDEX_NAME", "INDEX_HOST")const stats = await index.describeIndexStats();
import io.pinecone.clients.Index;import io.pinecone.configs.PineconeConfig;import io.pinecone.configs.PineconeConnection;import io.pinecone.proto.DescribeIndexStatsResponse;public class DescribeIndexStatsExample { public static void main(String[] args) { PineconeConfig config = new PineconeConfig("YOUR_API_KEY"); // To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-index config.setHost("INDEX_HOST"); PineconeConnection connection = new PineconeConnection(config); Index index = new Index(connection, "INDEX_NAME"); DescribeIndexStatsResponse indexStatsResponse = index.describeIndexStats(); System.out.println(indexStatsResponse); }}
package mainimport ( "context" "log" "github.com/pinecone-io/go-pinecone/v2/pinecone")func main() { ctx := context.Background() pc, err := pinecone.NewClient(pinecone.NewClientParams{ ApiKey: "YOUR_API_KEY", }) if err != nil { log.Fatalf("Failed to create Client: %v", err) } // To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-index idxConnection, err := pc.Index(pinecone.NewIndexConnParams{Host: "INDEX_HOST"}) if err != nil { log.Fatalf("Failed to create IndexConnection for Host: %v", err) } stats, err := idxConnection.DescribeIndexStats(ctx) if err != nil { log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err) } else { fmt.Printf("%+v", *stats) }}
using Pinecone;var pinecone = new PineconeClient("YOUR_API_KEY");// To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-indexvar index = pinecone.Index(host: "INDEX_HOST");var indexStatsResponse = await index.DescribeIndexStatsAsync(new DescribeIndexStatsRequest());Console.WriteLine(indexStatsResponse);
# To get the unique host for an index,# see https://docs.pinecone.io/guides/manage-data/target-an-indexPINECONE_API_KEY="YOUR_API_KEY"INDEX_HOST="INDEX_HOST"curl -X POST "https://$INDEX_HOST/describe_index_stats" \ -H "Api-Key: $PINECONE_API_KEY" \ -H "X-Pinecone-Api-Version: 2024-04"
Returns:{ "namespaces": { "example-namespace1": { "recordCount": 4 }, "example-namespace2": { "recordCount": 4 } }, "dimension": 1024, "indexFullness": 0, "totalRecordCount": 8}// Note: the value of totalRecordCount is the same as total_vector_count.
namespaces { key: "example-namespace1" value { vector_count: 4 }}namespaces { key: "example-namespace2" value { vector_count: 4 }}dimension: 1024total_vector_count: 8
The describe_index_stats operation returns statistics about the contents of an index, including the vector count per namespace, the number of dimensions, and the index fullness.
Serverless indexes scale automatically as needed, so index fullness is relevant only for pod-based indexes.
POST
/
describe_index_stats
# pip install "pinecone[grpc]"from pinecone.grpc import PineconeGRPC as Pineconepc = Pinecone(api_key="YOUR_API_KEY")# To get the unique host for an index, # see https://docs.pinecone.io/guides/manage-data/target-an-indexindex = pc.Index(host="INDEX_HOST")index.describe_index_stats()
// npm install @pinecone-database/pineconeimport { Pinecone } from '@pinecone-database/pinecone'const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' })// To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-indexconst index = pc.index("INDEX_NAME", "INDEX_HOST")const stats = await index.describeIndexStats();
import io.pinecone.clients.Index;import io.pinecone.configs.PineconeConfig;import io.pinecone.configs.PineconeConnection;import io.pinecone.proto.DescribeIndexStatsResponse;public class DescribeIndexStatsExample { public static void main(String[] args) { PineconeConfig config = new PineconeConfig("YOUR_API_KEY"); // To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-index config.setHost("INDEX_HOST"); PineconeConnection connection = new PineconeConnection(config); Index index = new Index(connection, "INDEX_NAME"); DescribeIndexStatsResponse indexStatsResponse = index.describeIndexStats(); System.out.println(indexStatsResponse); }}
package mainimport ( "context" "log" "github.com/pinecone-io/go-pinecone/v2/pinecone")func main() { ctx := context.Background() pc, err := pinecone.NewClient(pinecone.NewClientParams{ ApiKey: "YOUR_API_KEY", }) if err != nil { log.Fatalf("Failed to create Client: %v", err) } // To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-index idxConnection, err := pc.Index(pinecone.NewIndexConnParams{Host: "INDEX_HOST"}) if err != nil { log.Fatalf("Failed to create IndexConnection for Host: %v", err) } stats, err := idxConnection.DescribeIndexStats(ctx) if err != nil { log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err) } else { fmt.Printf("%+v", *stats) }}
using Pinecone;var pinecone = new PineconeClient("YOUR_API_KEY");// To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-indexvar index = pinecone.Index(host: "INDEX_HOST");var indexStatsResponse = await index.DescribeIndexStatsAsync(new DescribeIndexStatsRequest());Console.WriteLine(indexStatsResponse);
# To get the unique host for an index,# see https://docs.pinecone.io/guides/manage-data/target-an-indexPINECONE_API_KEY="YOUR_API_KEY"INDEX_HOST="INDEX_HOST"curl -X POST "https://$INDEX_HOST/describe_index_stats" \ -H "Api-Key: $PINECONE_API_KEY" \ -H "X-Pinecone-Api-Version: 2024-04"
Returns:{ "namespaces": { "example-namespace1": { "recordCount": 4 }, "example-namespace2": { "recordCount": 4 } }, "dimension": 1024, "indexFullness": 0, "totalRecordCount": 8}// Note: the value of totalRecordCount is the same as total_vector_count.
namespaces { key: "example-namespace1" value { vector_count: 4 }}namespaces { key: "example-namespace2" value { vector_count: 4 }}dimension: 1024total_vector_count: 8
# pip install "pinecone[grpc]"from pinecone.grpc import PineconeGRPC as Pineconepc = Pinecone(api_key="YOUR_API_KEY")# To get the unique host for an index, # see https://docs.pinecone.io/guides/manage-data/target-an-indexindex = pc.Index(host="INDEX_HOST")index.describe_index_stats()
// npm install @pinecone-database/pineconeimport { Pinecone } from '@pinecone-database/pinecone'const pc = new Pinecone({ apiKey: 'YOUR_API_KEY' })// To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-indexconst index = pc.index("INDEX_NAME", "INDEX_HOST")const stats = await index.describeIndexStats();
import io.pinecone.clients.Index;import io.pinecone.configs.PineconeConfig;import io.pinecone.configs.PineconeConnection;import io.pinecone.proto.DescribeIndexStatsResponse;public class DescribeIndexStatsExample { public static void main(String[] args) { PineconeConfig config = new PineconeConfig("YOUR_API_KEY"); // To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-index config.setHost("INDEX_HOST"); PineconeConnection connection = new PineconeConnection(config); Index index = new Index(connection, "INDEX_NAME"); DescribeIndexStatsResponse indexStatsResponse = index.describeIndexStats(); System.out.println(indexStatsResponse); }}
package mainimport ( "context" "log" "github.com/pinecone-io/go-pinecone/v2/pinecone")func main() { ctx := context.Background() pc, err := pinecone.NewClient(pinecone.NewClientParams{ ApiKey: "YOUR_API_KEY", }) if err != nil { log.Fatalf("Failed to create Client: %v", err) } // To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-index idxConnection, err := pc.Index(pinecone.NewIndexConnParams{Host: "INDEX_HOST"}) if err != nil { log.Fatalf("Failed to create IndexConnection for Host: %v", err) } stats, err := idxConnection.DescribeIndexStats(ctx) if err != nil { log.Fatalf("Failed to describe index \"%v\": %v", idx.Name, err) } else { fmt.Printf("%+v", *stats) }}
using Pinecone;var pinecone = new PineconeClient("YOUR_API_KEY");// To get the unique host for an index, // see https://docs.pinecone.io/guides/manage-data/target-an-indexvar index = pinecone.Index(host: "INDEX_HOST");var indexStatsResponse = await index.DescribeIndexStatsAsync(new DescribeIndexStatsRequest());Console.WriteLine(indexStatsResponse);
# To get the unique host for an index,# see https://docs.pinecone.io/guides/manage-data/target-an-indexPINECONE_API_KEY="YOUR_API_KEY"INDEX_HOST="INDEX_HOST"curl -X POST "https://$INDEX_HOST/describe_index_stats" \ -H "Api-Key: $PINECONE_API_KEY" \ -H "X-Pinecone-Api-Version: 2024-04"
Returns:{ "namespaces": { "example-namespace1": { "recordCount": 4 }, "example-namespace2": { "recordCount": 4 } }, "dimension": 1024, "indexFullness": 0, "totalRecordCount": 8}// Note: the value of totalRecordCount is the same as total_vector_count.
namespaces { key: "example-namespace1" value { vector_count: 4 }}namespaces { key: "example-namespace2" value { vector_count: 4 }}dimension: 1024total_vector_count: 8
A mapping for each namespace in the index from the namespace name to a summary of its contents. If a metadata filter expression is present, the summary will reflect only vectors matching that expression.